<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.unis.crk.basic.mapper.RoleButtonMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.unis.crk.basic.entity.RoleButton">
        <id column="rb_id" property="rbId" />
        <result column="role_id" property="roleId" />
        <result column="btn_id" property="btnId" />
        <result column="updatetime" property="updatetime" />
    </resultMap>
    <select id="selectButtonByUserId" resultType="String">
        SELECT btn_name   FROM  button_info b left  join role_button r on r.btn_id=b.btn_id where r.role_id=#{roleId} and b.func_id=#{funcId} ORDER BY b.updatetime

    </select>
</mapper>
